Update a User
Updates an existing user by providing its ID.
- USER_UPDATE_START
- USER_UPDATE_SUCCESS
- USER_UPDATE_FAIL
Roles
bearerAuthAuthorizationBearer <token>id*stringUser ID
uuidUpdate a User
application/json- body
claims?User claims to be persisted. No claims are persisted by default. Consider PII implications before persisting any claims.
claimSets?User claims to be persisted per claim set, keyed by credential configuration identifier and then by claim set identifier. No claim sets are persisted by default. Consider PII implications before persisting any claims.
When updating a user, providing this property replaces the user's existing claim sets. Omitting it leaves them unchanged.
Claim set identifiers are offered as an open beta preview feature and are not generally available yet. They are available on all tenants, and their behavior may change in a way that breaks existing integrations before they become generally available.
authenticationProvider?Authentication Provider information for the user. This enables linking the user to an external identity provider. If implemented insecurely, this process can be exploited by malicious actors to gain unauthorized access to legitimate user accounts.
To mitigate this risk, require authentication for both accounts involved in the link, whether the link is created manually or automatically. Always prompt the user to enter credentials to verify ownership before establishing the link.
User updated
application/json- response
id?stringUser unique identifier.
uuidclaims?User claims.
claimSets?User claims persisted per claim set, keyed by credential configuration identifier and then by claim set identifier. Only present when claim sets are persisted for this user.
Claim set identifiers are offered as an open beta preview feature and are not generally available yet. They are available on all tenants, and their behavior may change in a way that breaks existing integrations before they become generally available.
authenticationProvider?Authentication Provider information for the user.
curl -X PUT "https://example.com/v1/users/8241400f-de3b-42c5-ad7c-8a380039e796" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba", "claims": { "externalUserId": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba" }, "claimSets": { "707e920a-f342-443b-ae24-6946b7b5033e": { "claim-set-id-1": { "givenName": "Alice" }, "claim-set-id-2": { "givenName": "Bob" } } }, "authenticationProvider": { "providerId": "41458e5a-9092-40b7-9a26-d4eb43c5792f", "url": "https://example-university.au.auth0.com", "subjectId": "example-university-oauth2|123456789" }}How would you rate this page?
Retrieve a user GET
Retrieve an existing user by providing its ID. * USER_RETRIEVE_START * USER_RETRIEVE_SUCCESS * USER_RETRIEVE_FAIL
Delete a user DELETE
Deletes a user and removes all data related to them by providing the user ID. <Callout type="warning"> Deleting a user is irreversible. All of the user's data is removed, and any credential previously issued to them is no longer valid. </Callout>